db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bryan Pendleton (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DERBY-6288) Skip 10.0.2.1 in upgrade tests when running with JaCoCo
Date Tue, 09 Jul 2013 04:25:52 GMT

    [ https://issues.apache.org/jira/browse/DERBY-6288?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13702881#comment-13702881
] 

Bryan Pendleton commented on DERBY-6288:
----------------------------------------

Patch eliminates the exception for me, too. +1

                
> Skip 10.0.2.1 in upgrade tests when running with JaCoCo
> -------------------------------------------------------
>
>                 Key: DERBY-6288
>                 URL: https://issues.apache.org/jira/browse/DERBY-6288
>             Project: Derby
>          Issue Type: Improvement
>          Components: Test
>    Affects Versions: 10.11.0.0
>            Reporter: Knut Anders Hatlen
>            Assignee: Knut Anders Hatlen
>            Priority: Minor
>         Attachments: derby-6288-1a.diff
>
>
> When running the upgrade tests with JaCoCo, they print an IllegalClassFormatException
to the console, as reported here: http://mail-archives.apache.org/mod_mbox/db-derby-dev/201307.mbox/%3C51D786F1.3020502%40gmail.com%3E
> The reason appears to be that the 10.0.2.1 version of derby.jar contains a class that
is not valid, according to this ASM bug report: http://forge.ow2.org/tracker/?func=detail&atid=100023&aid=316416&group_id=23
> We should exclude 10.0.2.1 when running with JaCoCo in order to reduce the noise.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message